List BYOK provider credentials

List the bring-your-own-key (BYOK) provider credentials for the authenticated entity’s default workspace. Use the workspace_id query parameter to scope the result to a different workspace, or the provider query parameter to filter by upstream provider. Management key required.

Authentication

AuthorizationBearer
API key as bearer token in Authorization header

Query parameters

offsetintegerOptional>=0
Number of records to skip for pagination
limitintegerOptional1-100

Maximum number of records to return (max 100)

workspace_idstringOptionalformat: "uuid"
Optional workspace ID to filter by. Defaults to the authenticated entity's default workspace.
providerenumOptional

Optional provider slug to filter by (e.g. openai, anthropic, amazon-bedrock).

Response

List of BYOK credentials
datalist of objects
List of BYOK credentials.
total_countinteger
Total number of BYOK credentials matching the filters.

Errors

401
Unauthorized Error
500
Internal Server Error